Module org.jfree.chart3d
Package org.jfree.chart3d.data

# Interface Values<T>

Type Parameters:
  `T` - The value type.

All Known Subinterfaces:
  `KeyedValues<K,T>`, `PieDataset3D<K>`

All Known Implementing Classes:
  `DefaultKeyedValues`, `StandardPieDataset3D`

public interface Values<T>
A generic representation of a one dimensional list of data values.

## Method Summary

Modifier and Type
Method
Description
`double`
`getDoubleValue(int item)`
Returns the value for the specified item as a double primitive, provided that the data type is a subclass of `Number`.
`int`
`getItemCount()`
Returns the number of items in the dataset.
`T`
`getValue(int item)`
Returns the value for the specified item.

## Method Details

### getItemCount

int getItemCount()
Returns the number of items in the dataset.

Returns:
  The number of items in the dataset.

### getValue

T getValue(int item)
Returns the value for the specified item.

Parameters:
  `item` - the item index.
Returns:
  The value for the specified item (possibly `null`).

### getDoubleValue

double getDoubleValue(int item)
Returns the value for the specified item as a double primitive, provided that the data type is a subclass of `Number`. Where the `getValue(int)` method returns `null`, this method returns `Double.NaN`.

Parameters:
  `item` - the item index.
Returns:
  The value for the specified item.